# $EPIC: myservers,v 1.4 2002/01/13 00:27:11 anders Exp $
Synopsis:
   $myservers()
   $myservers(<anything>)

Technical:
   * If provided with no arguments, this function returns a space separated
     list of server names of all servers that epic has a connection open to.
     For registered connections (you've gotten the 001 numeric), the name
     will be "its" name (the server's own name as used in the 001 numeric).
     For pending connections (you've not gotten the 001 numeric yet), the
     name will be "our" name (the name in the /server list).  Port numbers
     are not provided; only server names.
   * If provided with any arguments (the arguments themselves are ignored),
     the function returns a space separated list of server refnums for all
     of your registered connections (you've gotten the 001 numeric).  Pending
     connections are NOT returned. 

Practical:
   The list of server names is not entirely useful since without the port
   number you can't really be sure what server it is being referred to.  
   Also, including the pending servers can be nice, but since you aren't
   permitted to send commands to them, it's of limited use.  The list of 
   registered server refnums is more useful since these are the servers
   you are permitted to send commands to. 

Returns:
   With arguments: the list of registered server refnums
   Without arguments: the list of open server names
  
Example:
   To simulate the /AWAY -ALL command:

         alias awayall {
            fe ($myservers(*)) x {
               xquote -s AWAY $*
            }
         }

History:
   The first form (without arguments) first appeared in ircII-2.2.2.
   The second form (with arguments) first appeared in EPIC4pre1.028
     and was suggested by Colten Edwards.

See Also:
   mychannels(6)
